2017-12-27 33 views
0

我在嘗試在IntelliJ IDEA中構建adroid項目時出現此錯誤(錯誤:(26,13)無法解析:com.android.support:appcompat-v7:27.+ 安裝庫和同步工程
顯示在文件),我該如何解決: enter image description here無法解析:IntelliJ IDEA中的com.android.support:appcompat-v7:27.+

+0

看不到錯誤;發佈圖片,而不是鏈接。我猜你正在使用Maven,但IntelliJ無法在您要求它查看的存儲庫中找到JAR。 – duffymo

+0

只需單擊錯誤消息中的「Install repository ...」鏈接即可。 – Ridcully

+0

只需點擊Install Repository並同步項目。 – InziKhan

回答

3

點擊「安裝庫和同步工程」的鏈接。

或者您可以嘗試手動修復您的build.gradle。 中的build.gradle加入這個項目的根目錄:

allprojects { 
    repositories { 
     // add below 
     maven { url "https://maven.google.com" } 
    } 
} 
+0

我試過了,在android工作室它工作,但在IntelliJ似乎沒有發生 – stylianos

+0

你可以添加你的兩個build.gradle文件的問題? – Gavriel

0

對於搖籃4.1+,你可以使用下面的(使用搭載Android 3.0.1工作室):

allprojects { 
    repositories { 
     // add below line 
     google() 
     jcenter() 
    } 
} 

我不是確定爲什麼Intellij IDEA沒有像Android Studio一樣預先填充這種依賴關係(會引發bug並在短期內引用它),但Google的Maven存儲庫是必需的,因爲它包含Android庫,請參閱link。請高舉IDEA-187121(我在YouTrack上提出的錯誤),如果你想看到這個固定的。

@Gavriel's suggestion單擊「安裝存儲庫和同步項目」至少在IDEA 2017.3.4中不起作用。包含「maven {url」https://maven.google.com「}」的建議適用於使用所有gradle版本的項目,但是相當冗長。

相關問題